Package org.apache.catalina.webresources.war

## Class WarURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.apache.catalina.webresources.war.WarURLConnection

    public class WarURLConnection
    extends URLConnection

### Field Summary

### Fields inherited from class java.net.URLConnection

`allowUserInteraction, doInput, doOutput, ifModifiedSince, url, useCaches`

### Constructor Summary

Constructors
`protected` `WarURLConnection​(URL url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connect()`
`int` `getContentLength()`
`long` `getContentLengthLong()`
`InputStream` `getInputStream()`
`long` `getLastModified()`
`Permission` `getPermission()`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getOutputStream, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WarURLConnection

    protected WarURLConnection​(URL url)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### connect

    public void connect()
                 throws IOException

Specified by:
  `connect` in class `URLConnection`
Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Overrides:
  `getInputStream` in class `URLConnection`
Throws:
  `IOException`

#### getPermission

    public Permission getPermission()
                             throws IOException

Overrides:
  `getPermission` in class `URLConnection`
Throws:
  `IOException`

#### getLastModified

    public long getLastModified()

Overrides:
  `getLastModified` in class `URLConnection`

#### getContentLength

    public int getContentLength()

Overrides:
  `getContentLength` in class `URLConnection`

#### getContentLengthLong

    public long getContentLengthLong()

Overrides:
  `getContentLengthLong` in class `URLConnection`